#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtGui import QMouseEvent
from PyQt6.QtWidgets import QSlider


class TrackProgressSlider(QSlider):
    def mousePressEvent(self, event: QMouseEvent):
        if event.button() == Qt.MouseButton.LeftButton:
            event.accept()

            x = event.pos().x()

            value = self.maximum() * x // self.width()
            self.setValue(value)

        return super().mousePressEvent(event)

